Page MenuHomePhabricator

Stop using deprecated ApiBase::dieUsage() in Linter extension
Closed, ResolvedPublic

Description

The Linter extension currently calls the deprecated ApiBase::dieUsage() function in ApiRecordLint.php. It should be swapped for dieWithError(), which will require creating localization messages. An example change that you can use for reference is https://gerrit.wikimedia.org/r/#/c/321448/ except that we don't need to check for is_callable, we can just replace the function usage directly.

Event Timeline

demon created this task.Nov 30 2017, 9:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 30 2017, 9:37 PM
Legoktm renamed this task from Stop using deprecated ApiBase::dieUsage() to Stop using deprecated ApiBase::dieUsage() in Linter extension.Nov 30 2017, 11:44 PM

Actually instead of me doing this myself, this will make a good GCI task :)

Legoktm removed Legoktm as the assignee of this task.Dec 1 2017, 2:09 AM
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.

Change 394821 had a related patch set uploaded (by Haikalizz; owner: Haikalizz):
[mediawiki/extensions/Linter@master] extensions/Linter: Replace deprecated usage of ApiBase::dieUsage()

https://gerrit.wikimedia.org/r/394821

Legoktm closed this task as Resolved.Dec 3 2017, 11:27 PM
Legoktm assigned this task to Haikalizz.

Change 394821 merged by jenkins-bot:
[mediawiki/extensions/Linter@master] Replace deprecated usage of ApiBase::dieUsage()

https://gerrit.wikimedia.org/r/394821

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM